diff --git a/ChangeLog b/ChangeLog
index fd3d30f63..e07512b7a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,4 @@
-Gajim 0.15 (XX XX 2011)
+Gajim 0.15 (18 March 2012)
* Plugin system
* Whiteboard (via a plugin)
@@ -9,6 +9,7 @@ Gajim 0.15 (XX XX 2011)
* Roster filtrering
* UPower support
* GPG support for windows
+ * Spell checking support for windows
Gajim 0.14.4 (22 July 2011)
diff --git a/README.html b/README.html
index df3362337..7cb2f7aea 100644
--- a/README.html
+++ b/README.html
@@ -15,12 +15,13 @@
Runtime Requirements
- python2.5 or higher
-- pygtk2.16 or higher
+- pygtk2.22 or higher
Optional Runtime Requirements
-- PyOpenSSL (python-pyopenssl package in Debian) (>=0.9) for secure SSL/TLS. Python's default SSL is insecure, so this package is highly recommended!
+- PyOpenSSL (python-pyopenssl package in Debian) (>=0.12) for secure SSL/TLS. Python's default SSL is insecure, so this package is highly recommended!
+- python-pyasn1 to check SSL/TLS certificate
- python-crypto to enable End to end encryption
- For idle module, libxss library
- For zeroconf (bonjour), the "enable link-local messaging" checkbox, you need dbus-glib, python-avahi
@@ -111,7 +112,7 @@ Wiki can be found at http://trac.gajim.org/
-(C) 2003-2011
+(C) 2003-2012
The Gajim Team
http://gajim.org
diff --git a/autogen.sh b/autogen.sh
index b2e46611a..62aa7fe8b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
- gajimversion="0.15-beta2"
+ gajimversion="0.15"
if [ -d ".hg" ]; then
node=$(hg tip --template "{node}")
hgversion="-${node:0:12}"
@@ -20,8 +20,12 @@
&& for p in `ls data/gui/*.ui`; do echo "[type: gettext/glade]$p" >> \
po/POTFILES.in; done \
&& ls -1 data/gajim.desktop.in.in \
- src/*py src/common/*py src/common/zeroconf/*.py src/plugins/*.py| grep -v ipython_view.py >> \
- po/POTFILES.in || exit 1
+ src/*.py src/common/*.py src/command_system/implementation/*.py src/common/zeroconf/*.py src/plugins/*.py | grep -v ipython_view.py >> \
+ po/POTFILES.in \
+ && echo -e "data/gajim.desktop.in\nsrc/ipython_view.py" > po/POTFILES.skip || exit 1
+ if [ $(find plugins/ -name '*.py' | wc -l) -gt 0 ];then
+ ls -1 plugins/*/*.py plugins/*/*.ui >> po/POTFILES.skip
+ fi
if test -z `which pkg-config 2>/dev/null`;then
echo "***Error: pkg-config not found***"
echo "See README.html for build requirements."
diff --git a/configure.ac b/configure.ac
index d9ce3bf06..11f6c2771 100644
--- a/configure.ac
+++ b/configure.ac
@@ -47,12 +47,12 @@ AC_ARG_ENABLE(site-packages,
instead of DATADIR/gajim/src.])]
,
AC_SUBST([gajim_srcdir], [\${pkgpythondir}])
-AC_SUBST([gajim_pluginsdir], [\${pkgpythondir}])
,
AC_SUBST([gajim_srcdir], [\${datadir}/\${PACKAGE}/src])
-AC_SUBST([gajim_pluginsdir], [\${datadir}/\${PACKAGE}/plugins])
)
+AC_SUBST([gajim_pluginsdir], [\${datadir}/\${PACKAGE}/plugins])
+
AS_AC_EXPAND(GAJIM_SRCDIR, "${gajim_srcdir}")
AS_AC_EXPAND(PKGDATADIR, "${datadir}/${PACKAGE}")
AS_AC_EXPAND(DOCDIR, "${docdir}")
diff --git a/data/gui/accounts_window.ui b/data/gui/accounts_window.ui
index de088497e..8eb28ff1b 100644
--- a/data/gui/accounts_window.ui
+++ b/data/gui/accounts_window.ui
@@ -308,7 +308,7 @@
True